org.apache.geode.cache.client

## Class ServerOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.client.ServerConnectivityException
          - - org.apache.geode.cache.client.ServerOperationException

- All Implemented Interfaces:
    java.io.Serializable

      public class ServerOperationException
      extends ServerConnectivityException

  An exception indicating that a failure has happened on the server while processing an operation that was sent to it by a client.
  Since:
    GemFire 5.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerOperationException()` Create a new instance of ServerOperationException without a detail message or cause.
    `ServerOperationException(java.lang.String message)` Create a new instance of ServerOperationException with a detail message
    `ServerOperationException(java.lang.String message, java.lang.Throwable cause)` Create a new instance of ServerOperationException with a detail message and cause
    `ServerOperationException(java.lang.Throwable cause)` Create a new instance of ServerOperationException with a cause

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerOperationException

          public ServerOperationException()

      Create a new instance of ServerOperationException without a detail message or cause.

    - #### ServerOperationException

          public ServerOperationException(java.lang.String message)

      Create a new instance of ServerOperationException with a detail message
      Parameters:
        `message` - the detail message

    - #### ServerOperationException

          public ServerOperationException(java.lang.String message,
                                          java.lang.Throwable cause)

      Create a new instance of ServerOperationException with a detail message and cause
      Parameters:
        `message` - the detail message
        `cause` - the cause

    - #### ServerOperationException

          public ServerOperationException(java.lang.Throwable cause)

      Create a new instance of ServerOperationException with a cause
      Parameters:
        `cause` - the cause